module counter (
    input wire C,       // Входной тактовый сигнал
    input wire reset,     // Сигнал сброса
    output reg [3:0] Q // 4-разрядный счетчик
);

    always @(posedge C or posedge reset) begin
        if (reset) begin
            Q <= 4'b0000; // Сброс счетчика
        end else begin
            Q <= Q + 1; // Увеличение счетчика на 1
        end
    end

endmodule